Bug 143056 - yum fails to resolve dependencies for qt-devel
yum fails to resolve dependencies for qt-devel
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-15 19:51 EST by Rahul Sundaram
Modified: 2014-01-21 17:50 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-20 16:35:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rahul Sundaram 2004-12-15 19:51:50 EST
Description of problem:

yum fails to resolve dependencies properly

Version-Release number of selected component (if applicable):


yum-2.1.11-3

How reproducible:


Steps to Reproduce:
1. yum install qt-devel (FC3)

  
Actual results:
su -c "yum -y install qt-devel"
Password:
Setting up Install Process
Setting up Repo:  base
repomd.xml                100% |=========================| 1.1 kB    00:00
Setting up Repo:  updates-released
repomd.xml                100% |=========================|  951 B    00:00
Reading repository metadata in from local files
base      : ################################################## 2622/2622
primary.xml.gz            100% |=========================| 105 kB    00:05
MD Read   : ################################################## 268/268
updates-re: ################################################## 268/268
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Downloading header for qt-devel to pack into transaction set.
qt-devel-3.3.3-8.i386.rpm 100% |=========================| 834 kB    00:41
---> Package qt-devel.i386 1:3.3.3-8 set to be installed
--> Running transaction check
--> Processing Dependency: XFree86-devel for package: qt-devel
--> Processing Dependency: libjpeg-devel for package: qt-devel
--> Processing Dependency: libmng-devel for package: qt-devel
--> Processing Dependency: libpng-devel for package: qt-devel
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Downloading header for xorg-x11-devel to pack into transaction set.
xorg-x11-devel-6.8.1-12.F 100% |=========================| 475 kB    00:32
---> Package xorg-x11-devel.i386 0:6.8.1-12.FC3.1 set to be installed
---> Downloading header for libjpeg-devel to pack into transaction set.
libjpeg-devel-6b-33.i386. 100% |=========================| 5.8 kB    00:00
---> Package libjpeg-devel.i386 0:6b-33 set to be installed
---> Downloading header for libmng-devel to pack into transaction set.
libmng-devel-1.0.8-1.i386 100% |=========================| 3.8 kB    00:00
---> Package libmng-devel.i386 0:1.0.8-1 set to be installed
---> Downloading header for libpng-devel to pack into transaction set.
libpng-devel-1.2.7-1.i386 100% |=========================| 9.0 kB    00:00
---> Package libpng-devel.i386 2:1.2.7-1 set to be installed
--> Running transaction check
--> Processing Dependency: fontconfig-devel>= 2.1 for package:
xorg-x11-devel
--> Processing Dependency: xorg-x11-libs= 6.8.1-12.FC3.1 for package:
xorg-x11-devel
--> Processing Dependency: pkgconfig for package: xorg-x11-devel
--> Processing Dependency: zlib-devel for package: libpng-devel
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package fontconfig-devel.i386 0:2.2.3-5 set to be installed
---> Package xorg-x11-libs.i386 0:6.8.1-12.FC3.1 set to be updated
---> Package pkgconfig.i386 1:0.15.0-3 set to be installed
---> Package zlib-devel.i386 0:1.2.1.2-1 set to be installed
--> Running transaction check
--> Processing Dependency: freetype-devel>= 2.1.4 for package:
fontconfig-devel
--> Processing Dependency: xorg-x11-libs= 6.8.1-12.FC3.21 for package:
xorg-x11
--> Processing Dependency: xorg-x11-libs= 6.8.1-12.FC3.21 for package:
xorg-x11-xfs
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package freetype-devel.i386 0:2.1.9-1 set to be installed
--> Running transaction check
--> Processing Dependency: xorg-x11-libs= 6.8.1-12.FC3.21 for package:
xorg-x11
--> Processing Dependency: xorg-x11-libs= 6.8.1-12.FC3.21 for package:
xorg-x11-xfs
--> Finished Dependency Resolution
Error: missing dep: xorg-x11-libs for pkg xorg-x11
Error: missing dep: xorg-x11-libs for pkg xorg-x11-xfs



Expected results:


yum should resolve dependency

Note You need to log in before you can comment on or make changes to this bug.